> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #Accel 3 Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example on AVR
```
#include <stdint.h>
#include "accel3.h"

  //CS pin setting
sbit ACCEL_3_CS at GPIO_GPIOR0.b0;

void system_setup( uint8_t address,accel_mode_t accel_mode,
                     data_rate_t d_rate, bus_mode_t mode );

void system_setup( uint8_t address,accel_mode_t accel_mode,
                     data_rate_t d_rate, bus_mode_t mode )
{
 //UART Initialization
  UARTC0_Init(57600);
  Delay_ms(300);

  UARTC0_Write_Text( "UART Initialized" );
  UARTC0_Write_Text( "\r\n" );
  
    //GPIO Outputs
  //ACCEL_3_CS_DIR = 1;
  Delay_ms(300);

  UARTC0_Write_Text( "Directions Initialized" );
  UARTC0_Write_Text( "\r\n" );
  
    // TWI
  TWIC_Init( 320000 );
  Delay_ms(500);

  UARTC0_Write_Text( "TWI Initialized" );
  UARTC0_Write_Text( "\r\n" );
  
    //Accel 3 Initialization
  accel3_init( address, NORMAL, HZ_100, I2C );
  Delay_ms(300);

  UARTC0_Write_Text( "Accel3 Initialized" );
  UARTC0_Write_Text( "\r\n" );

}


```

```
void main()
{
  uint8_t address = 0x18;
  int16_t x,y,z;
  xyz_t* my_coords;
  uint8_t thresh = 1;
  uint8_t duration = 15;
  char text[50];

   
  system_setup( address, NORMAL, HZ_100, I2C );
  
  while( accel3_is_new_data_all() )
  {
     my_coords = accel3_get_xyz();

     x = my_coords->x_pos;
     y = my_coords->y_pos;
     z = my_coords->z_pos;
     
     IntToStr( x, text );
     UARTC0_Write_Text( "  X:");
     UARTC0_Write_Text( text );
     
     IntToStr( y, text );
     UARTC0_Write_Text( "  Y:");
     UARTC0_Write_Text( text );
     
     IntToStr( z, text );
     UARTC0_Write_Text( "  Z:");
     UARTC0_Write_Text( text );
     UARTC0_Write_Text( "\r\n" );
     Delay_ms(100);
  }

}

```

