#include <stdint.h>
#include "accel3.h"

  //CS pin setting
sbit ACCEL_3_CS             at PORTA_PIN5CTRL;
sbit ACCEL_3_CS_DIR         at PORTA_DIRSET;

void get_calibration( void );

void main()
{
  uint8_t address = 0x18;
  int16_t x,y,z;
  xyz_t* my_coords;
  uint8_t thresh = 1;
  uint8_t duration = 15;
  char text[50];

    //UART Initialization
  UARTC0_Init(57600);
  Delay_ms(300);

  UART_Write_Text( "UART Initialized" );
  UART_Write_Text( "\r\n" );
  
    //GPIO Outputs
  //ACCEL_3_CS_DIR = 1;
  Delay_ms(300);

  UART_Write_Text( "Directions Initialized" );
  UART_Write_Text( "\r\n" );
  
    // TWI
  TWIC_Init( 100000 );
  Delay_ms(500);

  UART_Write_Text( "TWI Initialized" );
  UART_Write_Text( "\r\n" );
  
    //Accel 3 Initialization
  accel3_init( address, NORMAL, HZ_100, I2C );
  accel3_hp_filter_mode_select( HP_NORMAL_MODE );
  accel3_filtered_data_selection_enable( true );
  Delay_ms(300);

  UART_Write_Text( "Accel3 Initialized" );
  UART_Write_Text( "\r\n" );
  
  while( accel3_is_new_data_all() )
  {
     my_coords = accel3_get_xyz();

     x = my_coords->x_pos;
     y = my_coords->y_pos;
     z = my_coords->z_pos;
     
     IntToStr( x, text );
     UART_Write_Text( "  X:");
     UART_Write_Text( text );
     
     IntToStr( y, text );
     UART_Write_Text( "  Y:");
     UART_Write_Text( text );
     
     IntToStr( z, text );
     UART_Write_Text( "  Z:");
     UART_Write_Text( text );
     UART_Write_Text( "\r\n" );
     Delay_ms(100);
  }

}
